%define pkgname	openerp-client

BuildRequires:  xorg-x11-Xvfb
%define         X_display         ":98"

Name:		%{pkgname}
Version:	5.0.15
Release:	1.3
Url:		http://www.openerp.com/
License:	GPLv3
Group:		Productivity/Office/Management
Summary:	A free Enterprise Resource Planning and Customer Relationship Management
Source0:	http://www.openerp.com/download/stable/source/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-root
BuildRequires:	python-devel
BuildRequires:	python-gtk
BuildRequires:	python-egenix-mx-base
Requires:	python-egenix-mx-base
Requires:	python-gtk
Recommends:	xpdf

%description
OpenERP is a free Enterprise Resource Planning and Customer Relationship 
Management software. It is mainly developed to meet changing needs.
The main functional features are: CRM & SRM, analytic and financial accounting,
double-entry stock management, sales and purchases management, tasks automation,
help desk, marketing campaign, ... and vertical modules for very specific 
businesses.
Technical features include a distributed server, flexible workflows, an object 
database, dynamic GUIs, customizable reports, NET-RPC and XML-RPC interfaces,

%prep
%setup

%build
#####################################################
### Starten eines virtuellen framebuffer X server ###
#####################################################
export DISPLAY=%{X_display}
Xvfb %{X_display} >& Xvfb.log &
trap "kill $! || true" EXIT
sleep 10

python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}/usr/share/doc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/README.txt doc/Changelog doc/INSTALL doc/LICENCE.txt doc/CREDITS
%{_bindir}/openerp-client
%dir %{_libdir}/python*/site-packages/openerp-client
%dir %{_datadir}/openerp-client
%dir %{_datadir}/pixmaps/openerp-client
%dir %{_datadir}/locale/al
%dir %{_datadir}/locale/ua
%dir %{_datadir}/locale/al/LC_MESSAGES
%dir %{_datadir}/locale/ua/LC_MESSAGES
%{_datadir}/locale/*/*/openerp-client.mo
%{_datadir}/openerp-client/*
%{_datadir}/pixmaps/openerp-client/*
%{_datadir}/pixmaps/openerp-client/*/*
%{_libdir}/python*/site-packages/openerp-client/*
%{_libdir}/python*/site-packages/openerp-client/*/*
%{_libdir}/python*/site-packages/openerp-client/*/*/*
%{_libdir}/python*/site-packages/openerp-client/*/*/*/*
%{_mandir}/man1/openerp-client.1*
%if 0%{?suse_version} >= 1100
%{_libdir}/python*/site-packages/openerp_client-%{version}-py*.egg-info
%endif

%changelog
* Wed Feb  9 2011 cs@linux-administrator.com
- update to release 5.0.15
